// YesNo.h : header file
//

#if ! defined( YESNOBUTTON_H )
#  define YESNOBUTTON_H

/////////////////////////////////////////////////////////////////////////////
// YesNoButton window

class YesNoButton : public CButton
{
// Construction
public:
	void SetPrevious( YesNoButton *previous );
	void SetNext( YesNoButton *next );
     void SetOriginalValue( BOOL checked );
     void SetKey( const CString &key );
     YesNoButton();

// Attributes
public:

// Operations
public:

// Overrides
     // ClassWizard generated virtual function overrides
     //{{AFX_VIRTUAL(YesNoButton)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
     virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
public:
     virtual ~YesNoButton();

     // Generated message map functions
protected:
     //{{AFX_MSG(YesNoButton)
     afx_msg void OnClicked();
     afx_msg void OnDoubleclicked();
     afx_msg void OnChar(UINT nChar, UINT nRepCnt, UINT nFlags);
     //}}AFX_MSG

     DECLARE_MESSAGE_MAP()
private:
	void Select();
	YesNoButton * m_next;
	YesNoButton * m_previous;
     CnfDoc * GetDocument();
     BOOL m_origValue;
     CString m_value;
     BOOL m_changed;
     Modifier m_count;
};

/////////////////////////////////////////////////////////////////////////////

#endif
